%define major 1
%define libname	%mklibname %{name} %{major}
%define libnamedevel %mklibname %{name} -d
%define libnamestaticdevel %mklibname %{name} -d -s

%define _program_prefix eu-

Summary:	A collection of utilities and DSOs to handle ELF files and DWARF data
Name:		elfutils
Version:	0.190
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		http://elfutils.org/
Source0:	https://sourceware.org/elfutils/ftp/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	zstd
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmicrohttpd)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	procps
BuildRequires:	lzma-devel
BuildRequires:	gettext-devel
Requires:	%{libname} = %{version}-%{release}

%description
Elfutils is a collection of utilities, including stack (to show
backtraces), nm (for listing symbols from object files), size
(for listing the section sizes of an object or archive file),
strip (for discarding symbols), readelf (to see the raw ELF file
structures), elflint (to check for well-formed ELF files) and
elfcompress (to compress or decompress ELF sections).

%package -n	%{libnamedevel}
Summary:	Development libraries to handle compiled objects
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel
Provides:	lib%{name}-devel

%description -n	%{libnamedevel}
This package contains the headers and dynamic libraries to create
applications for handling compiled objects.

   * libelf allows you to access the internals of the ELF object file
     format, so you can see the different sections of an ELF file.
   * libebl provides some higher-level ELF access functionality.
   * libasm provides a programmable assembler interface.

%package -n	%{libnamestaticdevel}
Summary:	Static libraries for development with libelfutils
Group:		Development/Libraries
Requires:	%{libnamedevel} = %{version}-%{release}
Provides:	%{name}-static-devel

%description -n	%{libnamestaticdevel}
This package contains the static libraries to create applications for
handling compiled objects.

%package -n	%{libname}
Summary:	Libraries to read and write ELF files
Group:		System/Libraries
Provides:	lib%{name}

%description -n	%{libname}
This package provides DSOs which allow reading and writing ELF files
on a high level.  Third party programs depend on this package to read
internals of ELF files.  The programs of the elfutils package use it
also to generate new ELF files.

Also included are numerous helper libraries which implement DWARF,
ELF, and machine-specific ELF handling.

%prep
%setup -q
%autopatch -p1

find . -name \*.sh ! -perm -0100 -print | xargs chmod +x

%build
autoreconf -fiv

%configure2_5x \
	%{?_program_prefix: --program-prefix=%{_program_prefix}} \
	--with-zlib \
	--with-bzlib \
	--with-lzma \
    --host=""

%make_build

%install
%make_install

# We don't have standard DEBUGINFOD_URLS yet.
rm -f %{buildroot}%{_sysconfdir}/profile.d/debuginfod.sh
rm -f %{buildroot}%{_sysconfdir}/profile.d/debuginfod.csh


chmod +x %{buildroot}%{_libdir}/lib*.so*

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/debuginfod*
%{_bindir}/eu-*

%files -n %{libname}
%{_libdir}/libdebuginfod-%{version}.so
%{_libdir}/libdebuginfod*.so.%{major}*
%{_libdir}/libelf-%{version}.so
%{_libdir}/libelf*.so.%{major}*
%{_libdir}/libasm-%{version}.so
%{_libdir}/libasm.so.*
%{_libdir}/libdw-%{version}.so
%{_libdir}/libdw.so.*
%{_mandir}/*/*

%files -n %{libnamedevel}
%{_includedir}/dwarf.h
%{_includedir}/libelf.h
%{_includedir}/gelf.h
%{_includedir}/nlist.h
%dir %{_includedir}/elfutils
%{_includedir}/elfutils/*.h
%{_libdir}/libdebuginfod.so
%{_libdir}/libelf.so
%{_libdir}/libdw.so
%{_libdir}/libasm.so
%{_libdir}/pkgconfig/libdebuginfod.pc
%{_libdir}/pkgconfig/libdw.pc
%{_libdir}/pkgconfig/libelf.pc

%files -n %{libnamestaticdevel}
%{_libdir}/*.a

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%changelog
* Sun Feb 18 2024 tex - 0.190-1pclos2024
- new version

* Fri Mar 17 2023 tex - 0.189-1pclos2023
- new version

* Mon Feb 13 2023 tex - 0.188-1pclos2023
- new version

* Mon May 02 2022 tex - 0.187-1pclos2022
- new version

* Fri Nov 26 2021 tex - 0.186-1pclos2021
- new version

* Fri Jul 30 2021 tex - 0.185-2pclos2021
- rebuild against updates

* Wed May 26 2021 tex - 0.185-1pclos2021
- new version

* Sun Apr 04 2021 tex - 0.183-2pclos2021
- rebuild against updates

* Fri Mar 12 2021 tex - 0.183-1pclos2021
- new version

* Fri Nov 06 2020 tex - 0.182-1pclos2020
- new version

* Fri Sep 25 2020 tex - 0.181-1pclos2020
- new version

* Thu Jun 25 2020 tex - 0.180-1pclos2020
- new version

* Wed Apr 08 2020 tex - 0.179-1pclos2020
- new version

* Sun Dec 08 2019 tex - 0.178-1pclos2019
- new version

* Thu Aug 15 2019 tex - 0.177-1pclos2019
- new version

